# Benefits Object

> Source: https://truto.one/docs/api-reference/unified-hris-api/benefits/

Schema for the `Benefits` resource in **Unified HRIS API**.

## Properties

- **`id`** _(string, required)_
  The unique identifier for benefits
- **`name`** _(string)_
  The name of the benefit
- **`employee`** _(object)_
  Employee associated with this benefit
  - **`id`** _(string)_
    The unique identifier for employees
  - **`name`** _(string)_
    This represents the name of the employee
- **`provider_name`** _(string)_
  This represents the provider name
- **`company_benefit`** _(object)_
  - **`id`** _(string)_
    The unique identifier for company benefits
  - **`name`** _(string)_
    This represents the name of the company benefit
  - **`description`** _(string)_
    This represents the description of the company benefit
- **`employee_contribution`** _(string)_
  This represents the employee contribution
- **`company_contribution`** _(string)_
  This represents the company contribution
- **`currency`** _(string)_
  This represents the currency in which the contribution is made
- **`start_date`** _(string)_
  This represents the start date of the benefit
- **`end_date`** _(string)_
  This represents the end date of the benefit
- **`status`** _(string)_
  This represents the status of the benefit
- **`created_at`** _(string)_
  This represents the date when the benefits was created
- **`updated_at`** _(string)_
  This represents the date when the benefits was updated
- **`remote_data`** _(object)_
  Raw data returned from the remote API call.

## Methods

- [GET /unified/hris/benefits](/docs/api-reference/unified-hris-api/benefits/list) — List Benefits
- [POST /unified/hris/benefits](/docs/api-reference/unified-hris-api/benefits/create) — Create Benefits
- [GET /unified/hris/benefits/{id}](/docs/api-reference/unified-hris-api/benefits/get) — Get Benefits
- [PATCH /unified/hris/benefits/{id}](/docs/api-reference/unified-hris-api/benefits/update) — Update Benefits
